/*!
  \file
  \brief 待機関数

  \author Satofumi KAMIMURA

  $Id: system_delay.cpp 1066 2009-06-23 14:05:40Z satofumi $
*/

#include "system_delay.h"
#include "SdlInit.h"
#include <SDL.h>

using namespace qrk;


namespace
{
  class SdlInitClass : private SdlInit
  {
  };
}


void qrk::system_delay(int msec)
{
  static SdlInitClass sdl_init;
  SDL_Delay(msec);
}
